com.pivotal.gemfirexd.internal.client.am

## Class SqlCode

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.SqlCode

    public class SqlCode
    extends Object

### Field Summary

Fields
`static SqlCode` `disconnectError`
`static SqlCode` `END_OF_DATA` SQL code for SQL state 02000 (end of data).
`static SqlCode` `invalidCommitOrRollbackUnderXA`
`static SqlCode` `invalidSetAutoCommitUnderXA`
`static SqlCode` `queuedXAError`
`static SqlCode` `undefinedError`

### Constructor Summary

Constructors
Constructor and Description
`SqlCode(int code)`

### Method Summary

Methods
`int` `getCode()` Return the SQL code represented by this instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### invalidCommitOrRollbackUnderXA

    public static final SqlCode invalidCommitOrRollbackUnderXA

#### invalidSetAutoCommitUnderXA

    public static final SqlCode invalidSetAutoCommitUnderXA

#### queuedXAError

    public static final SqlCode queuedXAError

#### disconnectError

    public static final SqlCode disconnectError

#### undefinedError

    public static final SqlCode undefinedError

#### END_OF_DATA

    public static final SqlCode END_OF_DATA

SQL code for SQL state 02000 (end of data). DRDA does not specify the SQL code for this SQL state, but Derby uses 100.

### Constructor Detail

#### SqlCode

    public SqlCode(int code)

### Method Detail

#### getCode

    public final int getCode()

Return the SQL code represented by this instance.

Returns:
  an SQL code